<template>
  <el-dialog :title="buildTitle" :visible.sync="buildDialogVis" width="20%" id="messageDialog">
    <div>
      <label>建筑名称 : </label>
      <el-input placeholder="请输入建筑名称" v-model="buildName"></el-input>
    </div>
    <span slot="footer" class="dialog-footer">
      <el-button size="small">取消</el-button>
      <el-button size="small" type="primary" @click="save">确认</el-button>
    </span>
  </el-dialog>
</template>
<script>
export default {
  data() {
    return {
      buildName: '',
      buildDialogVis: false
    }
  },
  props: {
    buildTitle: {
      default: "添加建筑"
    }
  },
  methods: {
    showDialog() {
      this.buildDialogVis = true
    },
    save() { }
  }
}
</script>